コンテンツへスキップ

FLUX.3 Klein

統合

モデルID blackforestlabs/flux-3/klein/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.009 9 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Black Forest Labs テキストから画像 #image-generation#text-to-image#typography#graphic-design

ネイティブ4Kサイズのテキスト画像生成。オプションのバウンディングボックスによるレイアウト制御と、リクエストあたり最大4枚に対応します

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

被写体、構図、照明、背景を詳細に説明する画像生成指示。モデルの学習に使用された詳細なキャプションに合わせます。

image_size デフォルト square_hd

出力の幅と高さを256~4096ピクセルの範囲で個別に設定します。ネイティブ4K生成に対応します。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 output_format · seed · enable_prompt_expansion · enable_safety_checker · bounding_boxes
output_format デフォルト png

結果の画像のファイル形式。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

説明した各オブジェクトを割り当てたボックス内に収めるオプションのボックスレイアウト。プロンプトラベルでボックスを識別します(例:`A red fox <fox> sits under a red umbrella <umbrella>`)。座標は左上の原点(0, 0)から測定した、画像寸法に対するボックス辺の割合です。

POST /run/blackforestlabs/flux-3/klein/text-to-image?wait=20 見積もり → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FLUX.3 Kleinについて

詳細なテキスト`prompt`から画像を生成します。`image_size`の各辺は256~4096ピクセルで、1回の呼び出しで1~4枚を指定できます。最大32個の`bounding_boxes`で、名前付きオブジェクトをフレーム内の指定位置に配置できます。出力はpng、jpeg、webpに対応し、プロンプト拡張はオンまたはオフにできます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
被写体、構図、照明、背景を詳細に説明する画像生成指示。モデルの学習に使用された詳細なキャプションに合わせます。
enable_prompt_expansion任意
型boolean
デフォルトtrue
生成前にプロンプトを詳細なキャプションへ拡張します。trueの場合に有効です。編集ではキャプションの内容を参照画像に基づけます。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェッカーの有効化。true でチェックを有効にします。
output_format任意
型enum
デフォルトpng
jpegpngwebp
結果の画像のファイル形式。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
出力の幅と高さを256~4096ピクセルの範囲で個別に設定します。ネイティブ4K生成に対応します。
bounding_boxes任意
型object[]
≤ 32項目
説明した各オブジェクトを割り当てたボックス内に収めるオプションのボックスレイアウト。プロンプトラベルでボックスを識別します(例:`A red fox <fox> sits under a red umbrella <umbrella>`)。座標は左上の原点(0, 0)から測定した、画像寸法に対するボックス辺の割合です。
bounding_boxes[].label任意
型string | null
≤ 64 characters
ボックスの簡潔なオブジェクトラベル(例:`fox`)。デフォルトは`obj_<n>`です。ボックスに関連付ける語をプロンプトに`<fox>`として含めます。プロンプトに記載されていないボックスはシーンに追加されます。
bounding_boxes[].description必須
型string
≤ 500 characters
ボックス内に描画するオブジェクトと、その外観。
bounding_boxes[].box必須
型object
出力画像内のオブジェクト配置。
bounding_boxes[].box.x_min必須
型number
0 – 1
画像幅を基準にした左端の位置。0~1です。
bounding_boxes[].box.y_min必須
型number
0 – 1
画像高さを基準にした上端の位置。0~1です。
bounding_boxes[].box.x_max必須
型number
0 – 1
画像幅を基準にした右端の位置。0~1です。
bounding_boxes[].box.y_max必須
型number
0 – 1
画像高さを基準にした下端の位置。0~1です。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/klein/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
timings
object生成処理のタイミング情報。
seed
integer最初の画像の生成シード。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/blackforestlabs/flux-3/klein/text-to-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt